cascading.operation

## Interface PlannerLevel

- All Known Implementing Classes:
    AssertionLevel, DebugLevel

      public interface PlannerLevel

  Interface PlannerLevel is the base interface for `DebugLevel` and `AssertionLevel` enum types.

  It should be noted that all enum implementations of this interface must declare a NONE or equivalent instance. This special case type tells the `FlowPlanner` to remove all `PlannedOperation` instances from the final `Flow`.
  See Also:
    `DebugLevel`, `AssertionLevel`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isNoneLevel()` Returns true if this enum instance represents a value that instructs the `FlowPlanner` to remove all instances from the plan.
    `boolean` | `isStricterThan(PlannerLevel plannerLevel)` Returns true if the given `PlannerLevel` is less strict than this instance.

- - ### Method Detail

    - #### isNoneLevel

          boolean isNoneLevel()

      Returns true if this enum instance represents a value that instructs the `FlowPlanner` to remove all instances from the plan.
      Returns:
        true if this represents "NONE"

    - #### isStricterThan

          boolean isStricterThan(PlannerLevel plannerLevel)

      Returns true if the given `PlannerLevel` is less strict than this instance.
      Parameters:
        `plannerLevel` - of type PlannerLevel
      Returns:
        true if argument is less strict

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.